// ProObjOle.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "ProObjOle.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjOle _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjOle, CFCProObjProperty)

CFCProObjOle::CFCProObjOle() : CFCProObjProperty(CFCProObjOle::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjOle)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT
}

CFCProObjOle::~CFCProObjOle()
{
}

void CFCProObjOle::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjOle)
	DDX_Control(pDX, IDC_OLE_SPN_ZOOM_VERT, m_spnZoomVert);
	DDX_Control(pDX, IDC_OLE_SPN_ZOOM_HORZ, m_spnZoomHorz);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFCProObjOle, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjOle)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_OLE_EDT_ZOOM_HORZ, OnChangeOleEdtZoomHorz)
	ON_EN_CHANGE(IDC_OLE_EDT_ZOOM_VERT, OnChangeOleEdtZoomVert)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjOle _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_
